package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ApAvailableChannelOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApAvailableChannelOpenApiVo   {
  @JsonProperty("radioId")
  private Integer radioId;

  @JsonProperty("apChannelDetailList")
  @Valid
  private List<ApChannelDetailOpenApiVo> apChannelDetailList = null;

  public ApAvailableChannelOpenApiVo radioId(Integer radioId) {
    this.radioId = radioId;
    return this;
  }

  /**
   * (Wireless) Radio ID should be a value as follows: 0: 2.4GHz; 1: 5GHz-1; 2: 5GHz-2; 3: 6GHz.
   * @return radioId
  */
  @ApiModelProperty(value = "(Wireless) Radio ID should be a value as follows: 0: 2.4GHz; 1: 5GHz-1; 2: 5GHz-2; 3: 6GHz.")


  public Integer getRadioId() {
    return radioId;
  }

  public void setRadioId(Integer radioId) {
    this.radioId = radioId;
  }

  public ApAvailableChannelOpenApiVo apChannelDetailList(List<ApChannelDetailOpenApiVo> apChannelDetailList) {
    this.apChannelDetailList = apChannelDetailList;
    return this;
  }

  public ApAvailableChannelOpenApiVo addApChannelDetailListItem(ApChannelDetailOpenApiVo apChannelDetailListItem) {
    if (this.apChannelDetailList == null) {
      this.apChannelDetailList = new ArrayList<>();
    }
    this.apChannelDetailList.add(apChannelDetailListItem);
    return this;
  }

  /**
   * channels detail supported by device configuration.
   * @return apChannelDetailList
  */
  @ApiModelProperty(value = "channels detail supported by device configuration.")

  @Valid

  public List<ApChannelDetailOpenApiVo> getApChannelDetailList() {
    return apChannelDetailList;
  }

  public void setApChannelDetailList(List<ApChannelDetailOpenApiVo> apChannelDetailList) {
    this.apChannelDetailList = apChannelDetailList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApAvailableChannelOpenApiVo apAvailableChannelOpenApiVo = (ApAvailableChannelOpenApiVo) o;
    return Objects.equals(this.radioId, apAvailableChannelOpenApiVo.radioId) &&
        Objects.equals(this.apChannelDetailList, apAvailableChannelOpenApiVo.apChannelDetailList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(radioId, apChannelDetailList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApAvailableChannelOpenApiVo {\n");
    
    sb.append("    radioId: ").append(toIndentedString(radioId)).append("\n");
    sb.append("    apChannelDetailList: ").append(toIndentedString(apChannelDetailList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

